org.apache.ignite.internal.processors.rest.protocols.tcp

## Enum GridClientPacketType

- java.lang.Object
- - java.lang.Enum<GridClientPacketType>
  - - org.apache.ignite.internal.processors.rest.protocols.tcp.GridClientPacketType

All Implemented Interfaces:
  Serializable, Comparable<GridClientPacketType>

    public enum GridClientPacketType
    extends Enum<GridClientPacketType>

Type of message being parsed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IGNITE` Ignite message.
`IGNITE_HANDSHAKE` Ignite handshake.
`IGNITE_HANDSHAKE_RES` Ignite handshake response.
`MEMCACHE` Memcache protocol message.
`REDIS` Redis protocol message.

### Method Summary

Methods
`static GridClientPacketType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientPacketType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MEMCACHE

    public static final GridClientPacketType MEMCACHE

Memcache protocol message.

#### REDIS

    public static final GridClientPacketType REDIS

Redis protocol message.

#### IGNITE_HANDSHAKE

    public static final GridClientPacketType IGNITE_HANDSHAKE

Ignite handshake.

#### IGNITE_HANDSHAKE_RES

    public static final GridClientPacketType IGNITE_HANDSHAKE_RES

Ignite handshake response.

#### IGNITE

    public static final GridClientPacketType IGNITE

Ignite message.

### Method Detail

#### values

    public static GridClientPacketType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientPacketType c : GridClientPacketType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientPacketType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017